<div ng-controller="LlenadoController">
    <div class="page page-tables-bootstrap">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <a>Llenado</a>
                </li>
                <li>
                  <a>Lista</a>
                </li>
              </ul>
            </div>
        </div>
        <div class="pagecontent">
            <div class="row">
              <!-- col -->
              <div class="col-md-12">

                <!-- tile -->
                <section class="tile" fullscreen="isFullscreen08">

                  <!-- tile header -->
                  <div class="tile-header dvd dvd-btm">
                    <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE LLENADOS</h1>
                    <ul class="controls">
                        <li>
                            <a href tile-control-fullscreen ng-click="isFullscreen08 = !isFullscreen08">
                                <fa name="expand"></fa>
                            </a>
                        </li>
                    </ul>
                  </div>
                  <!-- /tile header -->

                  <!-- tile body -->
                  <div class="tile-body p-1">

                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="">Año</label>
                                <select class="form-control" ng-model="model.id_anio" ng-change="listSemana(model.id_anio)" ng-options="an.id as an.anio for an in anios">
                                    <option value="">-- Año --</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label for="">Semana</label>
                                <select class="form-control" ng-model="model.id_semana" ng-disabled="!model.id_anio" ng-change="list(true)" ng-options="sem.id as sem.nombre for sem in semanas">
                                    <option value="">-- Semana --</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group mt-10">
                                <button class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar llenado</button>
                            </div>                              
                        </div>  
                        <div class="col-md-12">                            
                            <hr class="mb-10">
                        </div>              
                    </div>

                    <div class="row" ng-if="isLoading">
                        <div class="col-md-12">
                          <loading></loading>
                        </div>
                    </div>

                    <div class="row" ng-if="!isLoading">
                        <div class="col-md-4">
                          <button ng-if="!isDownload && (contenedores.length > 0)" class="btn btn-border btn-rounded-10 btn-greensea btn-block" ng-click="download()"><i class="fa fa-download"></i> exportar a excel</button>
                          <button ng-if="isDownload && (contenedores.length > 0)" class="btn btn-border btn-rounded-10 btn-greensea btn-block"><i class="fa fa-spinner fa-spin"></i> exportando a excel...</button>
                        </div>
                        <div class="col-md-8">
                            <h5 class="text-right"><strong>CANTIDAD : {{contenedores.length}} LLENADOS</strong></h5>
                        </div>
                        <div class="col-md-12 mt-10" ng-if="contenedores.length > 0">
                            <small>
                                <div class="table-responsive">
                                    <table class="table table-bordered">
                                        <tr style="background:#F2F2F2">
                                            <th class="text-center">OPCIONES</th>
                                            <th class="text-center">W</th>
                                            <th class="text-center">CONTENEDOR</th>
                                            <th class="text-center">ORDEN/REFERENCIA</th>
                                            <th class="text-center">CANTIDAD CAJAS</th>
                                            <th class="text-center">MARCA</th>
                                            <th class="text-center">CLIENTE</th>
                                            <th class="text-center">LÍNEA</th>
                                            <th class="text-center">NAVE</th>
                                            <th class="text-center">BOOKING</th>
                                        </tr>
                                        <tbody dir-paginate="contenedor in contenedores |filter: buscar | itemsPerPage: 10" pagination-id="contenedor.id">
                                            <tr>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>
                                                  <button class="btn btn-link btn-xs" ng-click="downloadPDF(contenedor)">llenado</button>
                                                </td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.semana}}</td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.numero_contenedor}}</td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.referencia | uppercase}}</td>
                                                <td class="text-center" nowrap>{{ contenedor.cajas[0].cantidad_cajas }}</td>
                                                <td class="text-center" nowrap>{{contenedor.cajas[0].marca | uppercase}}</td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.cliente | uppercase}}</td
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}" nowrap>{{contenedor.dia_proceso_inicio | date:'dd-MM-yyyy'}}</td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.linea_naviera | uppercase}}</td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.sigla_linea_naviera | uppercase}} - {{contenedor.nave | uppercase}} V. {{contenedor.viaje}}</td>
                                                <td class="text-center" rowspan="{{contenedor.cajas.length+1}}">{{contenedor.booking | uppercase}}</td>
                                            </tr>
                                            <tr ng-repeat="caja in contenedor.cajas.slice(1,contenedor.cajas.length)">
                                                <td class="text-center" nowrap>{{caja.cantidad_cajas}}</td>
                                                <td class="text-center" nowrap>{{caja.marca | uppercase}}</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>
                            </small>
                            <div class="text-center">
                                <dir-pagination-controls pagination-id="contenedor.id"></dir-pagination-controls>
                            </div>
                        </div>

                        <div class="col-md-12" ng-if="contenedores.length == 0">
                            <p class="text-center">
                                <i class="fa fa-truck fa-4x"></i>
                                <h5 class="text-center">no hay contenedores registrados para la semana actual...</h5>
                            </p>
                        </div>                       
                    </div>
                    
                  </div>
                  <!-- /tile body -->
                  <div class="tile-footer p-1">
                      <div class="text-right">
                        <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
                      </div>
                  </div>

                </section>
                <!-- /tile -->


              </div>
              <!-- /col -->
            </div>
        </div>
    </div>

    <script  type="text/ng-template" id="llenado_modal.html">
        <div class="modal-header">
          <div class="text-center">
            <title-modal name="Llenado"></title-modal>
          </div>            
        </div>
        <div class="modal-body">

          <form ng-submit="createEdit()">

            <div class="row">              
              <div class="col-md-3">
              </div>
              <div class="col-md-6">
                <div class="form-group">
                    <label for="id_contenedor">Contenedor<span class="obligatorio">*</span></label>
                    <select type="text" class="form-control uppercase" name="id_contenedor" ng-model="obj.id_contenedor" ng-options="contenedor.id as contenedor.nombre for contenedor in contenedores" required>
                        <option value="">-- SELECCIONE CONTENEDOR --</option>
                    </select>
                </div>
              </div>                  
            </div>

            <div class="row">
              <div class="col-md-2">
                
              </div>
              <div class="col-md-8">
                <div class="row">
                  <div class="col-md-6" ng-repeat="pallet in pallets">
                    <small>
                      <div class="mt-10">
                        <table class="table table-hover table-bordered">
                          <thead>
                            <tr>
                              <th colspan="2" class="text-center">PALLET {{$index + 1}}</th>
                            </tr>
                            <tr>
                              <th width="146px">CÓDIGO</th>
                              <th>CAJAS</th>
                            </tr>
                          </thead>
                          <tbody>
                            <tr ng-repeat="item in pallet">
                              <td>
                                <ui-select ng-model="item.parcela" theme="select2" title="Seleccione Codigo">
                                  <ui-select-match placeholder="Seleccione Codigo">{{$select.selected.numero}}</ui-select-match>
                                  <ui-select-choices repeat="codigo in codigos | filter: $select.search">
                                    <div ng-bind-html="codigo.numero | highlight: $select.search"></div>
                                  </ui-select-choices>
                                </ui-select>
                              </td>
                              <td>
                                <input type="number" min="0" class="form-control" ng-model="item.cajas" required>
                              </td>
                            </tr>
                            <tr>
                              <td colspan="2" class="text-right">
                                <button type="button" class="bt btn-xs btn-success" ng-click="addItem(pallet)"><i class="fa fa-plus"></i></button>
                                <button type="button" class="bt btn-xs btn-danger" ng-click="deleteItem(pallet)"><i class="fa fa-minus"></i></button>
                              </td>
                            </tr>
                          </tbody>
                        </table>
                      </div>
                    </small>
                  </div>
                </div>                
              </div>
            </div>

            <div class="form-group">
              <span class="obligatorio">*</span> Campos Obligatorios
            </div>
            
            <div class="text-center">
              <button-save ng-if="!httpRequest"></button-save>
              <button-spin ng-if="httpRequest"></button-spin>
              <button-cancel></button-cancel>
            </div>
          </form>
        </div>
    </script>
    <script  type="text/ng-template" id="llenado_delete_modal.html">
        <div class="modal-body">

          <form ng-submit="delete()">
            <form-delete></form-delete>
          </form>
        </div>
    </script>
</div>